> For the complete documentation index, see [llms.txt](https://docs.kubchain.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kubchain.com/build-on-kub/developer-center.md).

# Developer Center

[KUB Developer Center](https://developers.kubchain.com/) is a platform designed to allow you to create and submit your dApps to the KUB network. You can access related resources, such as SDK IDs, and submit your dApps to the KUB ecosystem.

{% hint style="warning" %}
You will need the [KUB Wallet](https://www.kubwallet.com/) to access the KUB Developer Center. Please register and complete the KYC process to log in to the KUB Developer Center.
{% endhint %}

## Submit your dApp

To submit your dApp to the KUB Ecosystem, please visit the KUB Developer Center to access our dApp submission form. Once you have submitted, your dApp will be showcased on the KUB Ecosystem. You will need to prepare the following information:

* Project Name
* Project Description
* Project Logo
  * Supported format: jpg, jpeg, and png
  * Recommended size is 512x512 px, maximum file size is 1 MB
* Website URL
* Social URL
* Category
* Contact Information
  * Name, E-mail, and Telegram

{% hint style="warning" %}
Please ensure that you are a member of the project team before submitting the application form.
{% endhint %}

{% hint style="info" %}
By submitting your project through the application form, you grant KUB permission to use your project name, logo, and any public information provided in your submission for marketing purposes or any purpose relating to broadcasting and advertising.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kubchain.com/build-on-kub/developer-center.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
